Name:           pen
Version:        0.18.0
Release:        11%{?dist}
Summary:        Load balancer for "simple" tcp based protocols such as http or smtp

Group:          Applications/Internet
License:        GPLv2
URL:            http://siag.nu/pen/
Source0:        ftp://siag.nu/pub/%{name}/%{name}-%{version}.tar.gz
Source1:        pen.httpd
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       httpd

%description
This is pen, a load balancer for "simple" tcp based protocols such as http or
smtp. It allows several servers to appear as one to the outside and 
automatically detects servers that are down and distributes clients among the
available servers. This gives high availability and scalable performance. 

%prep
%setup -q

# Convert to utf-8
for file in ChangeLog penctl.1; do
   mv $file timestamp
   iconv -f ISO-8859-1 -t UTF-8 -o $file timestamp
   touch -r timestamp $file
done

%{__sed} -i 's/\/var/\%{_localstatedir}/g' %{SOURCE1}

%build
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}

%{__chmod} 0644 %{_builddir}/%{name}-%{version}/penstats
%{__make} install DESTDIR=%{buildroot}
%{__install} -Dp -m 0755 penctl.cgi %{buildroot}%{_localstatedir}/www/pen/penctl.cgi
%{__install} -Dp -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/conf.d/pen.conf

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc HOWTO AUTHORS penstats COPYING README ChangeLog
%{_mandir}/man1/*
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/httpd/conf.d/pen.conf
%{_localstatedir}/www/pen/
%exclude %{_prefix}/doc/


%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan  8 2013 Remi Collet <rcollet@redhat.com> - 0.18.0-9
- fix configuration for httpd 2.4, #871450

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 18 2008 Itamar Reis Peixoto <itamar@ispbrasil.com.br> 0.18.0-3
- replace $RPM_BUILD_DIR with %%{_builddir}

* Sun Nov 12 2008 Itamar Reis Peixoto <itamar@ispbrasil.com.br> 0.18.0-2
- preserve timestamp when converting files to UTF-8

* Sun Nov 09 2008 Itamar Reis Peixoto <itamar@ispbrasil.com.br> 0.18.0-1
- Initial Release
